Release 2014_050 (2014-11-03)

Packages

  • Starting to roll out the OS upgrade (snapshot update) to production machines. Customers will be informed separately when their machines are due.
  • Upgrade MySQL to version 5.5 (#13420).
  • Upgrade the Linux kernel to version 3.17.2 (#13293).
  • Upgrade PHP to version 5.5 (#13667).
  • Upgrade Ruby to version 1.9 and 2.0 (#13361).
  • Upgrade GCC to version 4.7.3 (#13293).
  • Introduce Python3.4, remove Python2.4 and Python2.5 (#13554).
  • Introduce AppArmor (#13408).
  • Introduce Postgres9.3 (#13560).
  • Switch from udev to eudev (#13710).
  • Switch from GRUB to GRUB2 (#13421).
  • Switch from python/PIL to python/pillow (#13648).
  • Add libmemcached for appserver role (#13639).
  • Security update for GLSA 201410-02 / Perl, Perl Locale-Maketext module ( Multiple vulnerabilities) (#13684).
  • Security update for GLSA 201409-08 / libxml2 (Denial of Service) (#13638).
  • Security update for GLSA 201408-19 / LibreOffice (Multiple vulnerabilities) (#13618).
  • Provide managed installation of libaio (#10837).

We’ve compiled a Detailed list of package versions on a separate page.

Configuration

  • Enable AppArmor on customer VMs (#13418).
  • Enable qemu-guest-agent on VMs (#13293).
  • Enable dovecot-sasl on postfix (#11681).
  • Introduce global SSL/TLS settings for Apache (#13695).
  • Set default python3 version to 3.3 (#13554).
  • Set default ruby version to 1.9 (#13361).
  • Allow sudo-srv users to reboot a VM (RT97974).
  • Move varnish SHM to separate tmpfs partition.
  • Fix bug which prevents kernel compile jobs from being executed (RT 98569).

Monitoring

  • Inhibit NRPE check execution during snaphost update (#13293)

Documentation